class ItemsController < ApplicationController
  before_filter :require_user, :except=> [:index, :show]
  before_filter :require_administrator, :only=> [:new, :create, :edit, :update, :destroy]

  def index_static
    @items = Item.all
    @user_logged = !(current_user.nil?)
    @admin = admin?

  end

  def index
    @items = Item.all
    @user_logged = !(current_user.nil?)
    @admin = admin?
  end
  
  def show
    @item = Item.find(params[:id])
  end
  
  def new
    @item = Item.new
  end

  def show_title?
   true
  end
  
  def create
    @item = Item.new(params[:item])
    if @item.save
      flash[:notice] = "Successfully created item."
      redirect_to @item
    else
      render :action => 'new'
    end
  end
  
  def edit
    @item = Item.find(params[:id])
  end
  
  def update
    @item = Item.find(params[:id])
    if @item.update_attributes(params[:item])
      flash[:notice] = "Successfully updated item."
      redirect_to @item
    else
      render :action => 'edit'
    end
  end
  
  def destroy
    @item = Item.find(params[:id])
    @item.destroy
    flash[:notice] = "Successfully destroyed item."
    redirect_to items_url
  end
end
